# Class EcsvStarTable

java.lang.Object
uk.ac.starlink.table.AbstractStarTable
uk.ac.starlink.ecsv.EcsvStarTable

All Implemented Interfaces:
  `Closeable, AutoCloseable, uk.ac.starlink.table.StarTable`

public abstract class EcsvStarTable extends uk.ac.starlink.table.AbstractStarTable
Partial StarTable implementation for ECSV tables. This abstract class provides table and column metadata; concrete subclasses have to implment the data access methods.

Since:
  29 Apr 2020
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final uk.ac.starlink.table.ValueInfo`
`CFORMAT_INFO`
Metadata for ECSV format item.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EcsvStarTable(EcsvMeta meta)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
`uk.ac.starlink.table.ColumnInfo`
`getColumnInfo(int icol)`
`long`
`getRowCount()`

### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

`checkedLongToInt, close, getCell, getColumnAuxDataInfos, getName, getParameters, getRow, getRowAccess, getRowSequence, getRowSplittable, getURL, isRandom, setName, setParameters, setURL`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.StarTable

`getParameterByName, setParameter`

## Field Details

### CFORMAT_INFO

public static final uk.ac.starlink.table.ValueInfo CFORMAT_INFO
Metadata for ECSV format item.

## Constructor Details

### EcsvStarTable

protected EcsvStarTable(EcsvMeta meta)
Constructor.

Parameters:
  `meta` - ECSV metadata object

## Method Details

### getColumnCount

public int getColumnCount()

Specified by:
  `getColumnCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnCount` in class `uk.ac.starlink.table.AbstractStarTable`

### getColumnInfo

public uk.ac.starlink.table.ColumnInfo getColumnInfo(int icol)

Specified by:
  `getColumnInfo` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnInfo` in class `uk.ac.starlink.table.AbstractStarTable`

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowCount` in class `uk.ac.starlink.table.AbstractStarTable`